NDB_ERROR_REPORTE(1)

NAME
ndb_error_reporter - NDB error-reporting utility

SYNOPSIS

ndb_error_reporter config_file [user_name] [options]

DESCRIPTION

ndb_error_reporter creates an archive from data node and management node log files that can be used to help diagnose bugs or other problems with a cluster. It is highly recommended that you make use of this utility when filing reports of bugs in MySQL Cluster.

The following table includes command options specific to the MySQL Cluster program ndb_error_reporter. Additional descriptions follow the table. For options common to most MySQL Cluster programs (including ndb_error_reporter), see Options Common to MySQL Cluster Programs(1).

ndb_error_reporter did not support the --help option prior to MySQL Cluster NDB 6.3.52, MySQL Cluster NDB 7.0.40, and MySQL Cluster NDB 7.1.29 (Bug #11756666, Bug #48606). The --connection-timeout --dry-scp, and --skip-nodegroup options were also added in these releases (Bug #16602002).

Table 17.20. ndb_error_reporter Options and Variables: MySQL 5.1, MySQL Cluster NDB 6.3-7.1
Format | Description | Added / Removed
--connection-timeout=timeout | Number of seconds to wait when connecting to nodes before timing out. | ADDED: NDB 6.3.52, NDB 7.0.40, NDB 7.1.29
--dry-scp | Disable scp with remote hosts; used only for testing. | ADDED: NDB 6.3.52, NDB 7.0.40, NDB 7.1.29
--fs | Include file system data in error report; can use a large amount of disk space | All MySQL 5.1 based releases
--skip-nodegroup=nodegroup_id | Skip all nodes in the node group having this ID. | ADDED: NDB 6.3.52, NDB 7.0.40, NDB 7.1.29

        Usage

    ndb_error_reporter path/to/config-file [username] [options]

This utility is intended for use on a management node host, and requires the path to the management host configuration file (usually named config.ini). Optionally, you can supply the name of a user that is able to access the cluster's data nodes using SSH, to copy the data node log files. ndb_error_reporter then includes all of these files in archive that is created in the same directory in which it is run. The archive is named ndb_error_report_YYYYMMDDHHMMSS.tar.bz2, where YYYYMMDDHHMMSS is a datetime string.

ndb_error_reporter also accepts the options listed here:

    • --connection-timeout=timeout
    Introduced | 5.1.71-ndb-7.1.29
    Command-Line Format | --connection-timeout=timeout
     | Permitted Values
     | Type | integer
     | Default | 0

    Wait this many seconds when trying to connect to nodes before timing out.

    • --dry-scp
    Introduced | 5.1.71-ndb-7.1.29
    Command-Line Format | --dry-scp
     | Permitted Values
     | Type | boolean
     | Default | TRUE

    Run ndb_error_reporter without using scp from remote hosts. Used for testing only.

    • --fs
    Command-Line Format | --fs
     | Permitted Values
     | Type | boolean
     | Default | FALSE

    Copy the data node file systems to the management host and include them in the archive.

    Because data node file systems can be extremely large, even after being compressed, we ask that you please do not send archives created using this option to Oracle unless you are specifically requested to do so.

    • --skip-nodegroup=nodegroup_id
    Introduced | 5.1.71-ndb-7.1.29
    Command-Line Format | --connection-timeout=timeout
     | Permitted Values
     | Type | integer
     | Default | 0

    Skip all nodes belong to the node group having the supplied node group ID.

COPYRIGHT

Copyright © 1997, 2013, Oracle and/or its affiliates. All rights reserved.

This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA or see http://www.gnu.org/licenses/.

SEE ALSO
For more information, please refer to the MySQL Reference Manual, which may already be installed locally and which is also available online at http://dev.mysql.com/doc/.

AUTHOR
Oracle Corporation (http://dev.mysql.com/).